#define F_CPU 16000000
#include <avr/io.h>
#include <avr/interrupt.h>
#include <util/delay.h>
#include <avr/pgmspace.h>
#include <stdio.h>
#include <stdlib.h>

#include "lcd.h"


int main() {
	LCD_DDR |= (1<<PC7);
	LCD_PORT |= (1<<PC7);
	lcd_init();
	
	// pun butoanele pe intrare 
	DDRB &= ~(1 << PB0);
	DDRB &= ~(1 << PB1);
	DDRB &= ~(1 << PB2);
	DDRB &= ~(1 << PB3);
	
	// activez rezistenta de pull up
	PORTB |= (1 << PB0);
	PORTB |= (1 << PB1); 
	PORTB |= (1 << PB2);
	PORTB |= (1 << PB3);
	
	//setez contrastul
	lcd_contrast(0x40);
	lcd_goto_xy (5, 3); 
	lcd_str("Apasa jos pentru a incepe jocul");
	
	//astept sa fie apasat butonul de start 
	while ((PINB & (1 << PB0)) != 0) {
	}
	lcd_clear();
	
	// retin scorul 
	int scor = play();
	_delay_ms(1000);
	char s[30];
	
	//afisez scorul
	sprintf(s, "Scorul tau este %d", scor);
	lcd_clear();
	lcd_goto_xy (5, 3);
	lcd_str(s);
	
	return 0;
}